Package ch.admin.suis.validator.rest.to.response

# Class ValidationResponse

java.lang.Object
ch.admin.suis.validator.rest.to.response.ValidationResponse

public class ValidationResponse extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  `List<FileReport>`
  `getFileReports()`
  `String`
  `getPdfOutputFileName()`
  `byte[]`
  `getPdfReport()`
  `ValidStatus`
  `isValid()`
  `ValidStatus`
  `isValidCert()`
  `ValidStatus`
  `isValidMandant()`
  `ValidStatus`
  `isValidRevoc()`
  `ValidStatus`
  `isValidSig()`
  `ValidStatus`
  `isValidTimestamp()`
  `void`
  `setError(String error)`
  `void`
  `setFileReports(List<FileReport> fileReports)`
  `void`
  `setPdfOutputFileName(String pdfOutputFileName)`
  `void`
  `setPdfReport(byte[] pdfReport)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValidationResponse

    public ValidationResponse()

- ## Method Details

  - ### getError

    public String getError()

  - ### getFileReports

    public List<FileReport> getFileReports()

  - ### getPdfOutputFileName

    public String getPdfOutputFileName()

  - ### getPdfReport

    public byte[] getPdfReport()

  - ### isValid

    public ValidStatus isValid()

  - ### isValidCert

    public ValidStatus isValidCert()

  - ### isValidMandant

    public ValidStatus isValidMandant()

  - ### isValidRevoc

    public ValidStatus isValidRevoc()

  - ### isValidSig

    public ValidStatus isValidSig()

  - ### isValidTimestamp

    public ValidStatus isValidTimestamp()

  - ### setError

    public void setError(String error)

  - ### setFileReports

    public void setFileReports(List<FileReport> fileReports)

  - ### setPdfOutputFileName

    public void setPdfOutputFileName(String pdfOutputFileName)

  - ### setPdfReport

    public void setPdfReport(byte[] pdfReport)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`